Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] RE.: Problema con aggiornamento 12.04
#1
Oggi ricevo avviso disponibilità aggiornamenti.
Quando provo ad installarli vengo avvisato che ci sono pacchetti non fidati e la procedura di aggiornamento non viene avviata.
Nei dettagli trovo il seguente pacchetto (?):

openprinting-ppds-pxlmono-samsung

cosa devo fare ?
grazie
matteo

 
Cita messaggio
#2
(15-01-2014, 08:02 )'matteo1970' Ha scritto: Oggi ricevo avviso disponibilità aggiornamenti.
Quando provo ad installarli vengo avvisato che ci sono pacchetti non fidati e la procedura di aggiornamento non viene avviata.
Nei dettagli trovo il seguente pacchetto (?):

openprinting-ppds-pxlmono-samsung

cosa devo fare ?
grazie
matteo

 
Hai installato qualche PPA?

Da terminale dai

Codice:
sudo apt-get update
e

Codice:
sudo apt-get upgrade
e posta l'errore che il terminale ti segnala.

Dopo di che, sempre da terminale:

Codice:
cat /etc/apt/sources.list
e posta qui il risultato.


 
Cita messaggio
#3
sudo apt-get update in calce mi da questo errore


Codice:
Recuperati 1730 kB in 28s (61,6 kB/s) Lettura elenco dei pacchetti... Fatto W: Errore GPG: http://www.openprinting.org lsb3.2 Release: Le seguenti firme non sono state verificate perché la chiave pubblica non è disponibile: NO_PUBKEY 24CBF5474CFD1E2F
con il comando sudo apt-get upgrade ottengo prima questo msg:

Codice:
I seguenti pacchetti saranno aggiornati: flashplugin-installer google-chrome-stable language-pack-en language-pack-en-base language-pack-gnome-en language-pack-gnome-en-base language-pack-gnome-it language-pack-gnome-it-base language-pack-it language-pack-it-base language-pack-kde-en language-pack-kde-en-base language-pack-kde-it language-pack-kde-it-base openprinting-ppds-pxlmono-samsung 15 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati. È necessario scaricare 58,8 MB di archivi. Dopo quest'operazione, verranno occupati 3722 kB di spazio su disco. Continuare [S/n]? s ATTENZIONE: i seguenti pacchetti non possono essere autenticati. openprinting-ppds-pxlmono-samsung Installare questi pacchetti senza verificarli [s/N]?
e alla fine dell'esecuzine quest'altro:


Codice:
Recuperati 58,8 MB in 6min 36s (148 kB/s) Preconfigurazione dei pacchetti in corso (Lettura del database... 724292 file e directory attualmente installati.) Preparativi per sostituire google-chrome-stable v.31.0.1650.63-1 (utilizzando .../google-chrome-stable_32.0.1700.77-1_i386.deb)... dpkg: errore fatale non recuperabile, uscita: fork non riuscita: Impossibile allocare memoria E: Sub-process /usr/bin/dpkg returned an error code (2) matteo@matteo-mini:~$
con il comando cat /etc/apt/sources.list


Codice:
matteo@matteo-mini:~$ cat /etc/apt/sources.list # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to # newer versions of the distribution. deb http://it.archive.ubuntu.com/ubuntu/ precise main restricted deb-src http://it.archive.ubuntu.com/ubuntu/ precise main restricted ## Major bug fix updates produced after the final release of the ## distribution. deb http://it.archive.ubuntu.com/ubuntu/ precise-updates main restricted deb-src http://it.archive.ubuntu.com/ubuntu/ precise-updates main restricted ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu ## team. Also, please note that software in universe WILL NOT receive any ## review or updates from the Ubuntu security team. deb http://it.archive.ubuntu.com/ubuntu/ precise universe deb-src http://it.archive.ubuntu.com/ubuntu/ precise universe deb http://it.archive.ubuntu.com/ubuntu/ precise-updates universe deb-src http://it.archive.ubuntu.com/ubuntu/ precise-updates universe ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu ## team, and may not be under a free licence. Please satisfy yourself as to ## your rights to use the software. Also, please note that software in ## multiverse WILL NOT receive any review or updates from the Ubuntu ## security team. deb http://it.archive.ubuntu.com/ubuntu/ precise multiverse deb-src http://it.archive.ubuntu.com/ubuntu/ precise multiverse deb http://it.archive.ubuntu.com/ubuntu/ precise-updates multiverse deb-src http://it.archive.ubuntu.com/ubuntu/ precise-updates multiverse ## N.B. software from this repository may not have been tested as ## extensively as that contained in the main release, although it includes ## newer versions of some applications which may provide useful features. ## Also, please note that software in backports WILL NOT receive any review ## or updates from the Ubuntu security team. deb http://it.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse deb-src http://it.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse deb http://security.ubuntu.com/ubuntu precise-security main restricted deb-src http://security.ubuntu.com/ubuntu precise-security main restricted deb http://security.ubuntu.com/ubuntu precise-security universe deb-src http://security.ubuntu.com/ubuntu precise-security universe deb http://security.ubuntu.com/ubuntu precise-security multiverse deb-src http://security.ubuntu.com/ubuntu precise-security multiverse ## Uncomment the following two lines to add software from Canonical's ## 'partner' repository. ## This software is not part of Ubuntu, but is offered by Canonical and the ## respective vendors as a service to Ubuntu users. # deb http://archive.canonical.com/ubuntu precise partner # deb-src http://archive.canonical.com/ubuntu precise partner ## Uncomment the following two lines to add software from Ubuntu's ## 'extras' repository. ## This software is not part of Ubuntu, but is offered by third-party ## developers who want to ship their latest software. # deb http://extras.ubuntu.com/ubuntu precise main # deb-src http://extras.ubuntu.com/ubuntu precise main matteo@matteo-mini:~$ A
spero sia tutto chiaro.....
grazie
matteo







(15-01-2014, 09:19 )'milazzo87' Ha scritto:
(15-01-2014, 08:02 )'matteo1970' Ha scritto: Oggi ricevo avviso disponibilità aggiornamenti.
Quando provo ad installarli vengo avvisato che ci sono pacchetti non fidati e la procedura di aggiornamento non viene avviata.
Nei dettagli trovo il seguente pacchetto (?):

openprinting-ppds-pxlmono-samsung

cosa devo fare ?
grazie
matteo


 
Hai installato qualche PPA?

Da terminale dai


Codice:
sudo apt-get update
e


Codice:
sudo apt-get upgrade
e posta l'errore che il terminale ti segnala.

Dopo di che, sempre da terminale:


Codice:
cat /etc/apt/sources.list
e posta qui il risultato.


 

 



 
Cita messaggio
#4
Prova con


Codice:
sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 24CBF5474CFD1E2F
Dopo di che dai


Codice:
sudo apt-get update
e


Codice:
sudo apt-get upgrade
Se ancora non dovesse funzionare, in Software e aggiornameti, nella sezione "altro software" togli la spunta a http://www.openprinting.org lsb3.2 e dai ancora


Codice:
sudo apt-get update

Codice:
sudo apt-get upgrade


 

 
Cita messaggio
#5
ti giro il risultato dei vari comandi che mi hai inoltrato:


Codice:
matteo@matteo-mini:~$ sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 24CBF5474CFD1E2F [sudo] password for matteo: Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /tmp/tmp.krQDnwCFcL --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyring /etc/apt/trusted.gpg.d//jockey-drivers.gpg --recv-keys --keyserver keyserver.ubuntu.com 24CBF5474CFD1E2F gpg: richiesta della chiave 4CFD1E2F dal server hkp keyserver.ubuntu.com gpg: chiave 4CFD1E2F: chiave pubblica «OpenPrinting (OpenPrinting Key) <webmaster@openprinting.org>» importata gpg: Numero totale esaminato: 1 gpg: importate: 1 (RSA: 1)
al termine di sudo apt-get update:


Codice:
Ign http://www.openprinting.org lsb3.2/main Translation-it_IT Ign http://www.openprinting.org lsb3.2/main Translation-it Ign http://www.openprinting.org lsb3.2/main Translation-en Recuperati 656 kB in 15s (42,3 kB/s) E: dpkg è stato interrotto. È necessario eseguire "sudo dpkg --configure -a" per correggere il problema.
lancio sudo dpkg --configure -a


Codice:
matteo@matteo-mini:~$ sudo dpkg --configure -a dpkg: errore nell'elaborare google-chrome-stable (--configure): Il pacchetto si trova in uno stato di inconsistenza critico - è consigliato reinstallarlo prima di tentare la configurazione. Si sono verificati degli errori nell'elaborazione: google-chrome-stable matteo@matteo-mini:~$
a questo punto ho problemi a lanciare sudo apt-get upgrade. credo di dover chiudere il firefox...




(15-01-2014, 10:07 )'milazzo87' Ha scritto: Prova con



Codice:
sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 24CBF5474CFD1E2F
Dopo di che dai



Codice:
sudo apt-get update
e



Codice:
sudo apt-get upgrade
Se ancora non dovesse funzionare, in Software e aggiornameti, nella sezione "altro software" togli la spunta a http://www.openprinting.org lsb3.2 e dai ancora



Codice:
sudo apt-get update

Codice:
sudo apt-get upgrade


 

 

 



 
Cita messaggio
#6
Io, onestamente, non capisco perché ti parla di quella fonte (Openprinting), che poi però non c'è nel sources.list.

Hai provato a togliere la spunta a http://www.openprinting.org lsb3.2 in Software e aggiornamenti (o in sorgenti software in Synaptic, non so che distribuzione hai)?
Cita messaggio
#7
ho dovuto resettare il sistema in quanto si era bloccato tutto.... !!!
ricevevo anche questo msg:
script:http://pagead2.googlesyindication.com/pagead/osd.js:8
comunque alla fine ho resettato, ho tolto da sorgenti softwere "openprintin.org" ho rilanciato "sudo apt-get update" e "sudo apt-get upgrade" e tutto si è concluso regolarmente.
Si direbbe che è tutto a posto... per cortesia mi spieghi cosa è successo effettivamente ?
grazie
matteo

(15-01-2014, 10:44 )'milazzo87' Ha scritto: Io, onestamente, non capisco perché ti parla di quella fonte (Openprinting), che poi però non c'è nel sources.list.

Hai provato a togliere la spunta a http://www.openprinting.org lsb3.2 in Software e aggiornamenti (o in sorgenti software in Synaptic, non so che distribuzione hai)?

 



 
Cita messaggio
#8
È tutto a posto. Quel PPA è per scaricare i driver per la stampante, ma una volta che hai installato non serve a niente tenerlo tra le sorgenti del tuo software. In ogni repository esiste una chiave di sicurezza, che è una firma  grazie alla quale il tuo sistema riconosce il repository come quello che tu hai effettivamete installato, e il tuo computer non procedeva nell'aggiornamento perché non trovava questa chiave. La cosa strana, ripeto, è che questo repository sarebbe dovuto comparire nel sources.list, cosa che a te non succedeva. In pratica, qualcuno mi corregga se sbaglio, il gestore degli aggiornamenti cercava la chiave di un repository che tu non avevi aggiunto al tuo source.lists, e naturalmente ti restituiva un errore...

Comunque il problema è risolto, vai tranquillo. [img]images/smilies/lightbulb.gif[/img]

 
Cita messaggio
#9
Grazie tutto chiarissimo.....
matteo
(15-01-2014, 11:10 )'milazzo87' Ha scritto: È tutto a posto. Quel PPA è per scaricare i driver per la stampante, ma una volta che hai installato non serve a niente tenerlo tra le sorgenti del tuo software. In ogni repository esiste una chiave di sicurezza, che è una firma  grazie alla quale il tuo sistema riconosce il repository come quello che tu hai effettivamete installato, e il tuo computer non procedeva nell'aggiornamento perché non trovava questa chiave. La cosa strana, ripeto, è che questo repository sarebbe dovuto comparire nel sources.list, cosa che a te non succedeva. In pratica, qualcuno mi corregga se sbaglio, il gestore degli aggiornamenti cercava la chiave di un repository che tu non avevi aggiunto al tuo source.lists, e naturalmente ti restituiva un errore...

Comunque il problema è risolto, vai tranquillo. [img]images/smilies/lightbulb.gif[/img]

 

 



 
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)